Reecall
Reecall API

ai_advanced_settings


List all

GET
https://newprd.reecall.io/data_next
/ai/advancedSettings/

List all › query Parameters

where
​string

JSON-encoded filter object

limit
​integer · min: 1

Max number of records to return

page
​integer · min: 1

Page number (1-based)

orderBy
​string

JSON-encoded sort definition

select
​string

Optional list of fields to select

search
​string · maxLength: 200

PostgreSQL regex pattern (~*) to search in configured fields

List all › Responses

Successful operation

name
​string · required
id
​string
description
​string
stt
​object
vad
​object
tts
​object
sounds
​object
audio
​object
​object[]
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Create one

POST
https://newprd.reecall.io/data_next
/ai/advancedSettings/

Create one › Request Body

name
​string · required
description
​string
stt
​object
vad
​object
tts
​object
sounds
​object
audio
​object
projectId
​string
organizationId
​string
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Create one › Responses

Successful operation

name
​string · required
id
​string
description
​string
stt
​object
vad
​object
tts
​object
sounds
​object
audio
​object
​object[]
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Count all

GET
https://newprd.reecall.io/data_next
/ai/advancedSettings/count

Count all › Responses

Successful operation

name
​string · required
id
​string
description
​string
stt
​object
vad
​object
tts
​object
sounds
​object
audio
​object
​object[]
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Retrieve one

GET
https://newprd.reecall.io/data_next
/ai/advancedSettings/{id}

Retrieve one › path Parameters

id
​string · required

Retrieve one › query Parameters

select
​string

Optional list of fields to select

Retrieve one › Responses

Successful operation

name
​string · required
id
​string
description
​string
stt
​object
vad
​object
tts
​object
sounds
​object
audio
​object
​object[]
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Delete one

DELETE
https://newprd.reecall.io/data_next
/ai/advancedSettings/{id}

Delete one › path Parameters

id
​string · required

Delete one › Responses

Successful operation

name
​string · required
id
​string
description
​string
stt
​object
vad
​object
tts
​object
sounds
​object
audio
​object
​object[]
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Update one

PATCH
https://newprd.reecall.io/data_next
/ai/advancedSettings/{id}

Update one › path Parameters

id
​string · required

Update one › Request Body

name
​string · required
description
​string
stt
​object
vad
​object
tts
​object
sounds
​object
audio
​object
projectId
​string
organizationId
​string
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Update one › Responses

Successful operation

name
​string · required
id
​string
description
​string
stt
​object
vad
​object
tts
​object
sounds
​object
audio
​object
​object[]
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time